# -------------------------------------------------------------------------------
# Exemple de code pour afficher la température, l'humidité et la pression
# mesurées par un capteur BME280 sur un afficheur graphique .
# Matériels : Raspberry Pi Pico, Shield Grove, capteur BM280, afficheur à SSD1306
# Langage : CircuitPython
# IDE : Thonny
# Source : affbme280.py,
# Bibliothèque(s) : /font5x8.bin, /lib/adafruit_ssd1306.mpy,
# /lib/adafruit_framebuf.mpy, /lib/adafruit_bme280.py
# -------------------------------------------------------------------------------
import board
import busio
from adafruit_bme280 import basic as adafruit_bme280
import time

# BUS I2C1
i2c = busio.I2C(board.GP7, board.GP6)  # SCL, SDA

# Capteur BME280 connecté au bus I2C1
bme280 = adafruit_bme280.Adafruit_BME280_I2C(i2c)

# A modifier pour que cette valeur corresponde à la pression (hpa)
# actuelle au niveau de la mer (océan atlantique)
bme280.sea_level_pressure = 1016

while True:
    temp = bme280.temperature
    hum = bme280.humidity
    pres = bme280.pressure
    alt = bme280.altitude
    print('Température=', temp)
    print('Humidité: ', hum)
    print('Pression: ', pres)
    print('Altitude', alt)
    print('')
    time.sleep(2)
